<?php
/**
 * Footer template file.
 */
?>
            </div> <!-- #content -->

            <footer class="uk-section uk-section-default uk-padding-remove-bottom uk-padding-remove-top">
                <div class="uk-container">
                    <div class="uk-margin-top uk-margin-bottom">
                        <div class="uk-child-width-auto@m uk-flex-middle" uk-grid>
                            <div class="uk-width-1-2@s uk-width-1-4@m uk-text-left@s uk-text-center">
                                <span class="uk-text-small">&copy; <?php echo date_i18n( __( 'Y','rinzai' ) ); ?>,</span> <a class="uk-text-small" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
                            </div>
                            <div class="uk-width-1-2@s uk-width-1-2@m uk-margin-remove-top">
                                <?php if ( has_nav_menu( 'social' ) ) : ?>
                                    <?php wp_nav_menu( array(
                                        'theme_location' => 'social',
                                        'container' => 'nav',
                                        'container_class' => 'uk-navbar',
                                        'menu_class' => 'uk-navbar-nav uk-navbar-center',
                                        'link_before' => '<span class="uk-hidden">',
                                        'link_after' => '</span>',
                                    ) ); ?>
                                <?php endif; ?>
                            </div>
                            <div class="uk-text-center uk-width-1-2@s uk-width-1-4@m uk-text-right@s uk-margin-remove-top">
                                <p class="uk-text-small">		
									<?php _e( 'Powered by <a href="https://wordpress.org">WordPress</a>. Rinzai Theme by <a href="https://ivanfonin.com">Ivan Fonin</a>.', 'rinzai' ); ?>
								</p>
                            </div>
                        </div>
                    </div>
                </div>
            </footer>

            <div id="offcanvas" uk-offcanvas="overlay: true">
                <div class="uk-offcanvas-bar">

                    <button class="uk-offcanvas-close" type="button" uk-close></button>

                    <?php if ( has_nav_menu( 'main' ) ) : ?>
                        <?php wp_nav_menu( array(
                            'theme_location' => 'main',
                            'container' => false,
                            'menu_class' => 'uk-nav uk-nav-default',
                            'walker' => new Rinzai_Offcanvas_Nav_Walker(),
                            'depth' => 2,
                        ) ); ?>
                    <?php endif; ?>

                    <?php if ( has_nav_menu( 'social' ) ) : ?>
                        <?php wp_nav_menu( array(
                            'theme_location' => 'social',
                            'container' => 'nav',
                            'container_class' => 'uk-navbar tm-offcanvas-social-navbar',
                            'menu_class' => 'uk-navbar-nav',
                            'link_before' => '<span class="uk-hidden">',
                            'link_after' => '</span>',
                        ) ); ?>
                    <?php endif; ?>

                </div>
            </div>

            <?php get_template_part( 'partials/search-modal' ); ?>

        </div> <!-- .uk-offcanvas-content -->

    </div><!-- #app -->
<?php wp_footer(); ?>
</body>
</html>
